package com.ruoyi.wzCk.ckInfo.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 物资出库单_基础数据对象 wz_outbound_order_h
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public class WzOutboundOrderH extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 签字人 */
    @Excel(name = "签字人")
    private String qzr;

    /** 制单人 */
    @Excel(name = "制单人")
    private String zdr;

    /** 领料员 */
    @Excel(name = "领料员")
    private String lly;

    /** 领用部门 */
    @Excel(name = "领用部门")
    private String lybm;

    /** 仓库 */
    @Excel(name = "仓库")
    private String ck;

    /** 库管员编码 */
    @Excel(name = "库管员编码")
    private String khybm;

    /** 库管员名称 */
    @Excel(name = "库管员名称")
    private String kgymc;

    /** 制单日期 */
    @Excel(name = "制单日期")
    private String zdrq;

    /** 单据状态 */
    @Excel(name = "单据状态")
    private String djzt;

    /** 总数量 */
    @Excel(name = "总数量")
    private String zsl;

    /** 签字日期 */
    @Excel(name = "签字日期")
    private String qzrq;

    /** 出库单号 */
    @Excel(name = "出库单号")
    private String ckdh;

    /** 配套指令号 */
    @Excel(name = "配套指令号")
    private String ptzlh;

    /** 任务号 */
    @Excel(name = "任务号")
    private String rwh;

    /** 工程型号 */
    @Excel(name = "工程型号")
    private String gcxh;

    /** 质保单位 */
    @Excel(name = "质保单位")
    private String zbdw;

    /** 质保依据 */
    @Excel(name = "质保依据")
    private String zbyj;

    /** 板号 */
    @Excel(name = "板号")
    private String bh;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String sbmc;

    /** 任务阶段 */
    @Excel(name = "任务阶段")
    private String rwjd;

    /** 打印次数 */
    @Excel(name = "打印次数")
    private String dycs;

    /** 出库单主键 */
    @Excel(name = "出库单主键")
    private String ckdzj;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setQzr(String qzr) 
    {
        this.qzr = qzr;
    }

    public String getQzr() 
    {
        return qzr;
    }
    public void setZdr(String zdr) 
    {
        this.zdr = zdr;
    }

    public String getZdr() 
    {
        return zdr;
    }
    public void setLly(String lly) 
    {
        this.lly = lly;
    }

    public String getLly() 
    {
        return lly;
    }
    public void setLybm(String lybm) 
    {
        this.lybm = lybm;
    }

    public String getLybm() 
    {
        return lybm;
    }
    public void setCk(String ck) 
    {
        this.ck = ck;
    }

    public String getCk() 
    {
        return ck;
    }
    public void setKhybm(String khybm) 
    {
        this.khybm = khybm;
    }

    public String getKhybm() 
    {
        return khybm;
    }
    public void setKgymc(String kgymc) 
    {
        this.kgymc = kgymc;
    }

    public String getKgymc() 
    {
        return kgymc;
    }
    public void setZdrq(String zdrq) 
    {
        this.zdrq = zdrq;
    }

    public String getZdrq() 
    {
        return zdrq;
    }
    public void setDjzt(String djzt) 
    {
        this.djzt = djzt;
    }

    public String getDjzt() 
    {
        return djzt;
    }
    public void setZsl(String zsl) 
    {
        this.zsl = zsl;
    }

    public String getZsl() 
    {
        return zsl;
    }
    public void setQzrq(String qzrq) 
    {
        this.qzrq = qzrq;
    }

    public String getQzrq() 
    {
        return qzrq;
    }
    public void setCkdh(String ckdh) 
    {
        this.ckdh = ckdh;
    }

    public String getCkdh() 
    {
        return ckdh;
    }
    public void setPtzlh(String ptzlh) 
    {
        this.ptzlh = ptzlh;
    }

    public String getPtzlh() 
    {
        return ptzlh;
    }
    public void setRwh(String rwh) 
    {
        this.rwh = rwh;
    }

    public String getRwh() 
    {
        return rwh;
    }
    public void setGcxh(String gcxh) 
    {
        this.gcxh = gcxh;
    }

    public String getGcxh() 
    {
        return gcxh;
    }
    public void setZbdw(String zbdw) 
    {
        this.zbdw = zbdw;
    }

    public String getZbdw() 
    {
        return zbdw;
    }
    public void setZbyj(String zbyj) 
    {
        this.zbyj = zbyj;
    }

    public String getZbyj() 
    {
        return zbyj;
    }
    public void setBh(String bh) 
    {
        this.bh = bh;
    }

    public String getBh() 
    {
        return bh;
    }
    public void setSbmc(String sbmc) 
    {
        this.sbmc = sbmc;
    }

    public String getSbmc() 
    {
        return sbmc;
    }
    public void setRwjd(String rwjd) 
    {
        this.rwjd = rwjd;
    }

    public String getRwjd() 
    {
        return rwjd;
    }
    public void setDycs(String dycs) 
    {
        this.dycs = dycs;
    }

    public String getDycs() 
    {
        return dycs;
    }
    public void setCkdzj(String ckdzj) 
    {
        this.ckdzj = ckdzj;
    }

    public String getCkdzj() 
    {
        return ckdzj;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("qzr", getQzr())
            .append("zdr", getZdr())
            .append("lly", getLly())
            .append("lybm", getLybm())
            .append("ck", getCk())
            .append("khybm", getKhybm())
            .append("kgymc", getKgymc())
            .append("zdrq", getZdrq())
            .append("djzt", getDjzt())
            .append("zsl", getZsl())
            .append("qzrq", getQzrq())
            .append("ckdh", getCkdh())
            .append("ptzlh", getPtzlh())
            .append("rwh", getRwh())
            .append("gcxh", getGcxh())
            .append("zbdw", getZbdw())
            .append("zbyj", getZbyj())
            .append("bh", getBh())
            .append("sbmc", getSbmc())
            .append("rwjd", getRwjd())
            .append("dycs", getDycs())
            .append("ckdzj", getCkdzj())
            .toString();
    }
}
